



/*
  *Final code for Wall-E robot.
  *Created by Melanise Gadsden. December 5, 2017.
  
  **************
  
   * Lets get started:
 
 The IR sensor's pins are attached to Arduino as so:
 Pin 1 to Vout (pin 4 on Arduino)
 Pin 2 to GND
 Pin 3 to Vcc (+5v from Arduino)
 
 Button 1 = 2962
 Button 2 = 527250
 Button 3 = 265106
 Right Button = 256914
 Left Button = 912274
 
 
*/

/********************* CODE BEGINS HERE *************************/

#include <IRremote.h>
#include <Servo.h>
#include <Wire.h>

#include "SD.h"
#include "TMRpcm.h"
#include "SPI.h"

#define SD_ChipSelectPin 10 // define CS pin
int IRpin = 4; // Signal Pin of IR receiver to Arduino Digital Pin 4
int ServoPin = 7; // Pin used for Servo control lead
int myposition = 0;    // variable to store the servo position 



byte position = 90; // range 0-180
IRrecv irrecv(IRpin); // create instance of 'irrecv'
decode_results results; // create instance of 'decode_results'
Servo myservo;  // instantiate a Servo object named 'myservo' 
TMRpcm tmrpcm; // create an object for speaker library

void setup()
{
  tmrpcm.speakerPin=9; //define speaker pin. 
                       //you must use pin 9 of the Arduino Uno and Nano
                       //the library is using this pin
  Serial.begin(9600);
  irrecv.enableIRIn(); // Start the receiver
  myservo.attach(ServoPin);  // attaches the servo on pin 13 to the servo object
  if(!SD.begin(SD_ChipSelectPin)) // see if the card is present and can be initialized
{
  Serial.println("SD fail"); // returned failed if there is an error
  return;
}
tmrpcm.setVolume(6); // 0 to 7. Set volume level
}

void loop()
{
  
  
if (irrecv.decode(&results)) // have we received an IR signal?

  {
    switch(results.value)

    {

      case 2962: // button 1 pressed
                tmrpcm.play("WALLE_1.wav"); // sound will play each time button is pressed
                delay(5000); 
                break;
                
      case 527250: // button 2 pressed
                Serial.println(results.value, DEC); // Print the Serial 'results.value'
                myposition = 60;
                myservo.write(60); // servo moves to range of motion (60 degrees)
                delay(1000); 
                myposition = -60;
                myservo.write(-60); // servo moves to range of motion (60 degrees)
                delay(1000);
                break;
                
      case 265106: // button 3 pressed
                tmrpcm.play("Whoa.wav"); // sound will play each time button is pressed
                delay(5000); 
                break;
                
      
    }
     irrecv.resume(); // receive the next value
  }
} //******* end main loop **********




